> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Office

> POST /offices

`POST /offices`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description           |
| ------ | --------------------- |
| `201`  | Created               |
| `400`  | Bad Request           |
| `409`  | Conflict              |
| `500`  | Internal Server Error |

## OpenAPI Source

`/openapi/crm.json POST /offices`


## OpenAPI

````yaml /openapi/crm.json POST /offices
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /offices:
    post:
      tags:
        - Offices
      summary: Create Office
      operationId: post_offices
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                phone:
                  type: string
                email:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                company:
                  type: string
                requiresTemplate:
                  anyOf:
                    - type: boolean
                  nullable: true
              required:
                - name
                - phone
                - email
                - company
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                phone:
                  type: string
                email:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                company:
                  type: string
                requiresTemplate:
                  anyOf:
                    - type: boolean
                  nullable: true
              required:
                - name
                - phone
                - email
                - company
          text/plain:
            schema:
              type: object
              properties:
                name:
                  type: string
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                phone:
                  type: string
                email:
                  type: string
                timezone:
                  anyOf:
                    - type: string
                  nullable: true
                company:
                  type: string
                requiresTemplate:
                  anyOf:
                    - type: boolean
                  nullable: true
              required:
                - name
                - phone
                - email
                - company
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  address:
                    anyOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                    nullable: true
                  phone:
                    type: string
                  email:
                    type: string
                  timezone:
                    anyOf:
                      - type: string
                    nullable: true
                  company:
                    type: string
                  requiresTemplate:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - address
                  - phone
                  - email
                  - timezone
                  - company
                  - requiresTemplate
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  address:
                    anyOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                    nullable: true
                  phone:
                    type: string
                  email:
                    type: string
                  timezone:
                    anyOf:
                      - type: string
                    nullable: true
                  company:
                    type: string
                  requiresTemplate:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - address
                  - phone
                  - email
                  - timezone
                  - company
                  - requiresTemplate
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  address:
                    anyOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                    nullable: true
                  phone:
                    type: string
                  email:
                    type: string
                  timezone:
                    anyOf:
                      - type: string
                    nullable: true
                  company:
                    type: string
                  requiresTemplate:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - address
                  - phone
                  - email
                  - timezone
                  - company
                  - requiresTemplate
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Internal Server Error
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````